import { request } from 'umi';
export function GetCustomerPageQuery(data) {
  return request(`/kitchen/api/member/customer-page-query`, {
    method: 'post',
    data: data,
  });
}

//获取会员信息
export function GetMemberPageQuery(data) {
  return request(`​/kitchen/api​/member​/member-page-query`, {
    method: 'post',
    data: data,
  });
}

//修改会员状态
export function UpdateMemberStatus(data) {
  return request(`/kitchen/api/member/member-status`, {
    method: 'put',
    data: data,
  });
}


//获取会员标签  和绑定详情
export function GetMemberTagAndInfo(memberinfoid, platformtype) {
  return request(`/kitchen/api/member/member-tag-and-info/${memberinfoid}/${platformtype}`, {
    method: 'get',
  });
}

//修改会员信息
export function UpdateMemberInfo(data) {
  return request(`/kitchen/api/member/member-info`, {
    method: 'put',
    data: data,
  });
}

//添加会员
export function CreateMemberInfo(data) {
  return request(`/kitchen/api/member/member`, {
    method: 'post',
    data: data,
  });
}

//修改会员标签
export function UpdateMemberTag(data) {
  return request(`/kitchen/api/member/member-tag`, {
    method: 'put',
    data: data,
  });
}

//同步会员
export function SyncMember(data) {
  return request(`/kitchen/api/member/syncmember/${data}`, {
    method: 'post',
  });
}

//获取会员
export function GetPlatformMemberList(data) {
  return request(`/kitchen/api/member/platform-member-list/${data}`, {
    method: 'get',
  });
}

//获取会员积分记录
export function GetIntegralRecord(data) {
  return request(`/kitchen/api/member/member-integral-record-page`, {
    method: 'post',
    data: data,
  });
}

